Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.depend
Class DependManager

    java.lang.Object
      org.apache.tomcat.util.depend.DependManager

public class DependManager
extends java.lang.Object

How it works: - A DependManager gets loaded with a number of Dependency - each Dependency includes a File and a timestamp. - If any of the Files is changed after timestamp this DependManager will set "expired" to true - One check at a time, but without sync - if a check was done recently ( delay property ) - assume nothing changed It is also possible to do the checks in background, but for big servers ( with many contexts) it have scalability problems.

Constructor Summary
`DependManager()`
`DependManager(int initial_size)`

Method Summary
`void` | `addDependency(Dependency dep)`
`long` | `getCheckCount()`
`long` | `getCheckTime()`
`void` | `reset()` Reset the depend manager - all dependencies are reset too.
`void` | `setDebug(int i)`
`void` | `setDelay(int d)`
`void` | `setExpired(boolean e)`
`void` | `setLastModified(long time)` Update all times, so next "shouldReload" will happen if any time changes ( after the specified time )
`boolean` | `shouldReload()`
`boolean` | `shouldReload1()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependManager

    public DependManager()

### DependManager

    public DependManager(int initial_size)

Method Detail

### reset

    public void reset()

  Reset the depend manager - all dependencies are reset too. This will be called after a reload

### setDelay

    public void setDelay(int d)

### getCheckTime

    public long getCheckTime()

### getCheckCount

    public long getCheckCount()

### shouldReload

    public boolean shouldReload()

### shouldReload1

    public boolean shouldReload1()

### setLastModified

    public void setLastModified(long time)

  Update all times, so next "shouldReload" will happen if any time changes ( after the specified time )

### setExpired

    public void setExpired(boolean e)

### addDependency

    public void addDependency(Dependency dep)

### setDebug

    public void setDebug(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.